Package org.opensaml.xmlsec.encryption.support

# Class RSAOAEPParameters

java.lang.Object
org.opensaml.xmlsec.encryption.support.RSAOAEPParameters

public class RSAOAEPParameters extends Object
Class for representing parameter inputs to the RSA-OAEP key transport algorithm.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`digestMethod`
Digest method algorithm URI.
`private String`
`maskGenerationFunction`
Mask generation function (MGF) algorithm URI.
`private String`
`oaepParams`
Base64-encoded OAEPParams value.

## Constructor Summary

Constructors
Constructor
Description
`RSAOAEPParameters()`
Constructor.
`RSAOAEPParameters(String digest, String mgf, String params)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigestMethod()`
Get the digest method algorithm URI.
`String`
`getMaskGenerationFunction()`
Get the mask generation function (MGF) algorithm URI.
`String`
`getOAEPParams()`
Get the base64-encoded OAEPParams value.
`boolean`
`isComplete()`
Determine whether the parameters instance is complete, meaning values are populated for all data properties.
`boolean`
`isEmpty()`
Determine whether the parameters instance is empty, meaning it has no values populated for any data properties.
`void`
`setDigestMethod(String value)`
Set the digest method algorithm URI.
`void`
`setMaskGenerationFunction(String value)`
Set the mask generation function (MGF) algorithm URI.
`void`
`setOAEPparams(String value)`
Set the base64-encoded OAEPParams value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### digestMethod

@Nullable private String digestMethod
Digest method algorithm URI.

### maskGenerationFunction

@Nullable private String maskGenerationFunction
Mask generation function (MGF) algorithm URI.

### oaepParams

@Nullable private String oaepParams
Base64-encoded OAEPParams value.

## Constructor Details

### RSAOAEPParameters

public RSAOAEPParameters()
Constructor.

### RSAOAEPParameters

public RSAOAEPParameters(@Nullable String digest, @Nullable String mgf, @Nullable String params)
Constructor.

Parameters:
  `digest` - the digest method
  `mgf` - the mask generation function (MGF)
  `params` - the OAEPParms (base64-encoded)

## Method Details

### isEmpty

public boolean isEmpty()
Determine whether the parameters instance is empty, meaning it has no values populated for any data properties.

Returns:
  true if all property values are null, false otherwise

### isComplete

public boolean isComplete()
Determine whether the parameters instance is complete, meaning values are populated for all data properties.

Returns:
  true if all property values are populated, false otherwise

### getDigestMethod

@Nullable public String getDigestMethod()
Get the digest method algorithm URI.

Returns:
  the digest method URI

### setDigestMethod

public void setDigestMethod(@Nullable String value)
Set the digest method algorithm URI.

Parameters:
  `value` - the new digest method URI

### getMaskGenerationFunction

@Nullable public String getMaskGenerationFunction()
Get the mask generation function (MGF) algorithm URI.

Returns:
  the MGF URI

### setMaskGenerationFunction

public void setMaskGenerationFunction(@Nullable String value)
Set the mask generation function (MGF) algorithm URI.

Parameters:
  `value` - the new MGF algorithm URI

### getOAEPParams

@Nullable public String getOAEPParams()
Get the base64-encoded OAEPParams value.

Returns:
  the base64-encoded OAEPParams

### setOAEPparams

public void setOAEPparams(@Nullable String value)
Set the base64-encoded OAEPParams value.

Parameters:
  `value` - the new base64-encoded OAEPParams value